.language-selector {
    display: flex;
    gap: 1.5rem; /* Расстояние между элементами */
    list-style: none;
    padding: 0;
    margin: 0;
    align-items: center;
}

.language-item {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: #333;
    font-size: 1rem;
}

.language-flag {
    width: 24px;
    height: 24px;
    margin-right: 0.5rem; /* Расстояние между флагом и текстом */
    border-radius: 2px; /* Небольшое округление углов флага */
}

.language-name {
    font-weight: 500;
}

.about-logo {
    width: 150px;
}

.about-logo {
    fill: #ff0000; /* Устанавливаем желаемый цвет */
}

.overflowx-clip {
    overflow-x: clip
}

.home-header-padding {
    padding-top: 1rem;
    padding-left: 1rem;
    padding-right: 1rem
}

.home-header_component {
    height: 84svh;
    position: relative
}

.visual {
    z-index: 0;
    border-radius: 1.25rem;
    position: relative;
    overflow: clip
}

.visual.is-home-header {
    height: 100%
}

img {
    object-fit: cover;
    max-width: 100%;
    display: inline-block;
}

.home-header_image {
    vertical-align: top;
    width: 100%;
    height: 100%
}

.home-header_content p {
    width: 80%;
    font-size: 1.3rem;
    line-height: 1.4;
}

.home-clip {
    background-color: #f8f7f0;
    display: flex;
    flex-flow: column;
    align-items: flex-start;
    grid-row-gap: 1.5rem;
    position: absolute;
    left: 0;
    bottom: 0;
    border-radius: 0 30px 0 0;
    padding: 2rem;
    width: 50vw;
}

.home-clip-top-corner {
    width: 30px;
    height: 30px;
    position: absolute;
    transform: rotate(90deg);
    top: -30px;
    left: 0;
    fill: #f8f7f0;
}

.home-clip-bottom-corner {
    width: 30px;
    height: 30px;
    position: absolute;
    transform: rotate(90deg);
    bottom: 0;
    right: -30px;
    fill: #f8f7f0;
}

.index-about img {
    border-radius: 30px;
}

.product-main-section {
    padding: 20px 20px 0;
    /*height: 86vh;*/
}

.product-main-section .container {
    height: 100%;
}

.product-main-section .container .row {
    height: 100%;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    /*background: #fff;*/
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.swiper {
    width: 100%;
    height: 300px;
    margin-left: auto;
    margin-right: auto;
    border-radius: 30px;
}

.swiper-slide {
    background-size: cover;
    background-position: center;
}

.mySwiper2 {
    height: 80%;
    width: 100%;
}

.mySwiper {
    height: 18%;
    box-sizing: border-box;
    margin: 5px 0;
}

.mySwiper .swiper-slide {
    width: 25%;
    height: 100%;
    opacity: 0.4;
}

.mySwiper .swiper-slide-thumb-active {
    opacity: 1;
}

.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.swiper-button-next {
    position: absolute;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    width: 60px;
    height: 50px;
    line-height: 50px;
    border-radius: 5px;
    background-color: transparent;
    border: 1px solid var(--af-blackish-color);
    color: var(--af-blackish-color);
    transition: all 500ms ease;
    right: 15px;
}

.swiper-button-prev {
    position: absolute;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    width: 60px;
    height: 50px;
    line-height: 50px;
    border-radius: 5px;
    background-color: transparent;
    border: 1px solid var(--af-blackish-color);
    color: var(--af-blackish-color);
    transition: all 500ms ease;
    left: 15px;
}

.product-main-section .swiper-button-next {
    border: 1px solid var(--agro-accent-color);
    color: var(--af-white-color);
    background-color: var(--agro-accent-color);
}

.product-main-section .swiper-button-prev {
    border: 1px solid var(--agro-accent-color);
    color: var(--af-white-color);
    background-color: var(--agro-accent-color);
}

.product-main-section .swiper-button-next:hover, .product-main-section .swiper-button-prev:hover {
    color: var(--af-white-color);
    background-color: var(--af-blackish-color);
    border: 1px solid var(--af-blackish-color) !important;
}

.b2 {
    padding-left: 50px;
}

.download {
    display: flex;
    flex-flow: row;
    gap: 30px;
}

.download .item-download {
    flex: 1;
}

.product-general {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    text-align: center;
}

.product-general > div {
    padding: 20px;
    border: 0;
    border-right: 1px dashed black;
    border-bottom: 1px dashed black;
}

.product-general > div:nth-child(2),
.product-general > div:nth-child(4) {
    border-right: none;
}

.product-general > div:nth-child(3),
.product-general > div:nth-child(4) {
    border-bottom: none;
}

.product-general h2 {
    font-size: 24px;
}

.product-general p {
    font-size: 28px;
}

.request-price a span {
    font-weight: 600;
}

.agro-about-widget img {
    border-radius: 30px;
}

.pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    gap: 8px;
}

.pagination a, .pagination span {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    text-decoration: none;
    font-size: 16px;
    font-weight: bold;
    background-color: white;
    color: var(--af-secondary-color);
    transition: all 0.3s ease;
    border: 2px solid transparent;
}

.pagination a:hover {
    background-color: var(--af-global-color-2);
    color: white;
    border-color: var(--af-global-color-2);
}

.pagination .active {
    background-color: var(--af-global-color-2);
    color: white;
    border-color: var(--af-global-color-2);
    pointer-events: none;
}

.pagination .disabled {
    opacity: 0.5;
    pointer-events: none;
}

.post h1 {
    text-align: center;
}

.post img {
    width: 100%;
    height: auto;
    /*aspect-ratio: 3;*/
    /*object-fit: cover;*/
}

.error-input {
    border: 1px solid red;
}

.message-hidden {
    display: none;
}

.message-show {
    display: block;
}

.not-found {
    padding: 80px 0;
}

.mouse-cursor {
    cursor: pointer;
}

.popup-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1000;
}

.popup-content {
    width: 50vw;
    max-width: 1200px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: white;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    z-index: 1001;
    border-radius: 15px;
}

.popup-content .close-btn {
    color: #000000;
    border: none;
    cursor: pointer;
    background: #ffffff;
    width: 34px;
    height: 34px;
    border-radius: 50%;
}


.close-btn {
    position: absolute;
    top: -30px;
    right: -30px;
    font-size: 17px;
    font-weight: 700;
}

.index-about {
    padding: 70px 0;
}

.index-about-flex {
    display: flex;
    align-items: center;
}

.index-about-left {
    flex: 0.3;
    background-size: contain;
    border-radius: 30px;
    background-attachment: fixed;
    background-position: left;
    background-repeat: no-repeat;
    min-height: 500px;
}

.index-about-right {
    flex: 1;
}

.af-section-padding {
    padding: 80px 0;
}

.card-adv {
    background-color: #f0eff2;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px;
    -webkit-box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px;
}

.ads_btn:hover {
    background-color: var(--agro-accent-color) !important;
}

.error-404 h2 {
    font-size: 200px;
    line-height: 210px;
    font-weight: bold;
}

.error-404 .btns {
    display: flex;
    flex-flow: row;
    gap: 20px;
}

.season h3 {
    font-size: 24px;
    line-height: 34px;
    letter-spacing: 0px;
    margin-bottom: unset;
}
.season img{
    border-radius: 30px;
    margin: 10px 0;
}

@media screen and (max-width: 1200px) {
    .header-style-3 .af-main-header-area {
        padding: 1rem 0;
    }

    .product-main-section {
        height: auto !important;
        padding: 20px 0;
    }

    .product-main-section .b1 {
        width: 100%;
    }

    .product-main-section .b2 {
        width: 100%;
        padding-top: 50px;
        padding-left: calc(var(--bs-gutter-x) * .5);
    }
}

@media screen and (max-width: 1024px) {
    .index-about-left {
        display: none;
    }
}

@media screen and (max-width: 991px) {
    .home-clip {
        width: 100%;
        border-radius: unset;
    }

    .home-header_image {
        height: 100%;
        border-radius: 1.25rem;
    }

    .home-clip-top-corner {
        display: none;
    }

    .home-clip-bottom-corner {
        display: none;
    }

}

@media screen and (max-width: 669px) {
    .header-style-3 .af-right-box .af-button-box-second {
        display: block;
        padding-right: 60px;
    }

    .language-item {
        font-size: 14px;
    }
}

@media screen and (max-width: 644px) {
    .language-name {
        display: none;
    }
}

@media screen and (max-width: 767px) {
    .index-about {
        padding: unset;
        padding-bottom: 60px;
    }

    .home-header_component {
        height: 88svh;
    }

    .home-clip {
        padding: 2rem 0;
    }

    .product-main-section {
        height: auto !important;
        padding: 20px 0;
    }

    .product-main-section .b1 {
        width: 100%;
    }

    .product-main-section .b2 {
        width: 100%;
        padding-top: 50px;
        padding-left: calc(var(--bs-gutter-x) * .5);
    }

    .mySwiper2 {
        height: 350px;
    }

    .mySwiper {
        height: 100px;
    }

    h1 {
        font-size: 38px;
        line-height: 45px;
    }

    p {
        font-size: 16px;
        line-height: 24px;
    }

    .download {
        flex-flow: column;
    }

    .popup-content {
        width: 95vw;
    }

    .popup-content .close-btn {
        position: absolute;
        left: 50%;
        transform: translate(-50%);
        font-size: 17px;
        font-weight: 700;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .popup-content h3 {
        font-size: 30px;
    }

    #main-product-form .form-control {
        height: 40px;
        margin-bottom: 12px;
        font-size: 14px;
    }

    #main-product-form textarea.form-control {
        height: 60px;
    }

    .error-404 .btns {
        display: flex;
        flex-flow: column;
        gap: 20px;
    }
    .mobile-hidden{
        display: none;
    }
}

@media screen and (max-width: 584px) {

}

@media screen and (max-width: 479px) {

    .language-selector {
        gap: 15px;
    }

    .language-flag {
        height: auto;
    }

    .home-header_component {

    }

    h1 {
        font-size: 32px;
        line-height: 40px;
    }

    .af-title {
        font-size: 32px !important;
        line-height: 40px;
    }

    p {
        font-size: 14px;
        line-height: 18px;
    }

    .download {
        flex-flow: column;
        gap: 0;
    }

    .download .item-download .af-download-item {
        padding: 10px 5px !important;
    }

    .swiper {
        border-radius: 15px;
    }

    .mySwiper2 {
        height: 250px;
    }

    .mySwiper {
        height: 50px;
    }

    .product-main-section .b2 {
        padding-top: 20px;
    }

    .product-general {
        padding-top: unset !important;
    }

    .product-general h2 {
        font-size: 20px;
        line-height: 30px;
    }

    .product-general p {
        font-size: 22px;
        margin: unset;
    }
}